#ifndef CModuleList_H
#define CModuleList_H

#include "CListViewTools.h"

class CModuleInfo : public CListViewEntry
	{
	public:
		CModuleInfo( LPCTSTR lpszModuleName, DWORD dwProcessID, LPCTSTR lpszProcessName );
        virtual CString GetDisplayString(DWORD dwIndex);
        virtual COLORREF GetTextColor();
        virtual CString GetInfoTip();
		
		CString m_strBaseName;
		CString m_strPathName;
        CString m_strModuleName;
        CString m_strProcessID;
        CString m_strProcessName;
        DWORD m_dwProcessID;
	};

class CModuleList : public CListViewEntries
    {
    public:
        CModuleList();

        virtual BOOL Refresh();
        virtual void ConnectTo( LPCTSTR lpszMachine );
        virtual void ExportXmlToFile( CFile* pFile );
        virtual UINT GetContextMenuID();
    };

#endif // CModuleList_H

